%define __spec_install_post %{nil}
%define __os_install_post %{nil}
%define debug_package %{nil}
%define datadir %{_localstatedir}/lib/mysql
%ifarch i686
%define arch i686
%else
%define arch %{_arch} 
%endif

%ifarch x86_64
%define urlarch x86_64
%else
%define urlarch x86
%endif

%define dist_compat 0

Name:		mariadb
Version:	10.1.21
Release:	1%{?dist}
Epoch:		1
Summary:	MariaDB client programs and shared libraries
Summary(ko): MariaDB 클라이언트 프로그램과 공유 라이브러리

Group:		Applications/Databases
License:	GPLv2 with exceptions
URL:		http://mariadb.org
# http://ftp.yz.yamagata-u.ac.jp/pub/dbms/mariadb/mariadb-10.0.11/bintar-hardy-amd64/mariadb-10.0.11-linux-x86_64.tar.gz
# http://ftp.kaist.ac.kr/mariadb/mariadb-10.0.29/bintar-linux-x86_64/mariadb-10.0.29-linux-x86_64.tar.gz
#Source0:	%{name}-%{version}-linux-%{arch}.tar.gz
Source2:	my.cnf
Source3:	mysqld.init
Source4:	mysql.sysconfig
Source5:	scriptstub.c
Source7:	mariadb-init-function
Source8:	mysqld.sandbox
Source9:	mysbox
Source10:	mysql.profile.sh
Source11:	mysql.profile.csh
Source12:	mysql.logrotate
Source13:	server.cnf
Source14:	password.cnf

Source101:	https://launchpad.net/mysql-tuning-primer/trunk/tuning-primer.sh-1.6-r1-r28
Source102:	https://github.com/major/MySQLTuner-perl/blob/master/mysqltuner.pl-1.4.4
Source103:	mysqlfragfinder.sh-1.0.0
Source104:	numa-maps-summary.pl
Source105:	mariadb.tmpfiles.d
Source106:	mariadb.service

Source200:	compat-5.5.50-1.el7_2.x86_64.tar.bz2
Source201:	compat-5.5.50-1.el7_2.i686.tar.bz2

Patch0:		%{name}-rpm.patch
Patch1:		%{name}-rpm-x86.patch
Patch2:		%{name}-annyung.patch
Patch3:		%{name}-annyung-x86.patch
Patch100:	tuning-primer-join-buffer.patch
Patch101:   tuning-primer-mariadb.patch
Patch102:   mysqltuner-mariadb.patch
Patch103:   mysqlfragfinder-annyung.patch
Patch104:   tuning-primer-5.7-10.1-support.patch

# Working around perl dependency checking bug in rpm FTTB. Remove later.
Source999: filter-requires-mysql.sh
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	openssl-devel, libstdc++-devel, systemd
Requires:	grep, coreutils, libstdc++, numactl
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	bash

Conflicts:	MySQL
Obsoletes: mysql-cluster < 5.1.44
Provides: mysql

%global __perl_requires %{SOURCE999}

%description
MariaDB is a community developed branch of MySQL.
MariaDB is a multi-user, multi-threaded SQL database server.
It is a client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. The base package
contains the standard MariaDB/MySQL client programs and generic MySQL files.

%package libs

Summary: The shared libraries required for MariaDB/MySQL clients
Summary(ko): MariaDB/MySQL clients에 필요한 공유 라이브러리
Group: Applications/Databases
Requires: /sbin/ldconfig
Provides: mysql-libs

%description libs
The mariadb-libs package provides the essential shared libraries for any
MariaDB/MySQL client program or interface. You will need to install this
package to use any other MariaDB package or any clients that need to connect
to a MariaDB/MySQL server. MariaDB is a community developed branch of MySQL.

%package server

Summary: The MariaDB server and related files
Summary(ko): MariaDB 서버와 관련 파일들
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: sh-utils
Requires(pre): /usr/sbin/useradd
Requires(post): chkconfig
Requires(preun): chkconfig
# This is for /sbin/service
Requires(preun): initscripts, systemd
Requires(postun): initscripts, systemd
# mysqlhotcopy needs DBI/DBD support
Requires: perl-DBI, perl-DBD-MySQL
Conflicts: MySQL-server
Provides: mysql-server

%description server
MariaDB is a multi-user, multi-threaded SQL database server. It is a
client/server implementation consisting of a server daemon (mysqld)
and many different client programs and libraries. This package contains
the MariaDB server and some accompanying files and directories.
MariaDB is a community developed branch of MySQL.

%package devel

Summary: Files for development of MariaDB/MySQL applications
Summary(ko): MariaDB/MySQL 응용 프로그램 개발을 위한 파일들
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: openssl-devel
Conflicts: MySQL-devel
Provides: mysql-devel

%description devel
MariaDB is a multi-user, multi-threaded SQL database server. This
package contains the libraries and header files that are needed for
developing MariaDB/MySQL client applications.
MariaDB is a community developed branch of MySQL.

%package embedded

Summary: MariaDB as an embeddable library
Summary(ko): MariaDB 임베디드 라이브러리
Group: Applications/Databases
Provides: mysql-embeded

%description embedded
MariaDB is a multi-user, multi-threaded SQL database server. This
package contains a version of the MariaDB server that can be embedded
into a client application instead of running as a separate process.
MariaDB is a community developed branch of MySQL.

%package embedded-devel

Summary: Development files for MariaDB as an embeddable library
Summary(ko): MariaDB 임베디드 라이브러리를 위한 개발 파일들
Group: Applications/Databases
Requires: %{name}-embedded = %{epoch}:%{version}-%{release}
Requires: %{name}-devel = %{epoch}:%{version}-%{release}
Provides: mysql-devel

%description embedded-devel
MariaDB is a multi-user, multi-threaded SQL database server. This
package contains files needed for developing and testing with
the embedded version of the MariaDB server.
MariaDB is a community developed branch of MySQL.

%package bench

Summary: MariaDB benchmark scripts and data
Summary(ko): MariaDB 벤치마크 스크립트와 데이터
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}
Conflicts: MySQL-bench
Provides: mysql-bench

%description bench
MariaDB is a multi-user, multi-threaded SQL database server. This
package contains benchmark scripts and data for use when benchmarking
MariaDB.
MariaDB is a community developed branch of MySQL.

%package test

Summary: The test suite distributed with MriaDB
Summary(ko): MariaDB에서 배포하는 테스트 도구
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: %{name}-server = %{epoch}:%{version}-%{release}
Conflicts: MySQL-test
Provides: mysql-test

%description test
MariaDB is a multi-user, multi-threaded SQL database server. This
package contains the regression test suite distributed with
the MariaDB sources.
MariaDB is a community developed branch of MySQL.


%package garbd

Summary: Galera Arbitrator daemon
Group: Applications/Databases
Requires: %{name} = %{epoch}:%{version}-%{release}, openssl098e

%description garbd
Galera Arbitrator is a member of the cluster that participates in voting,
but not in the actual replication.

%prep
%setup -c -T -n %{name}-%{version}-linux-%{arch}

if [ -f "../%{name}-%{version}-linux-%{arch}.tar.gz" ]; then
	mv ../%{name}-%{version}-linux-%{arch}.tar.gz ./
else
	curl -o %{name}-%{version}-linux-%{arch}.tar.gz \
		http://ftp.kaist.ac.kr/mariadb/mariadb-%{version}/bintar-linux-%{urlarch}/mariadb-%{version}-linux-%{arch}.tar.gz
		#http://ftp.yz.yamagata-u.ac.jp/pub/dbms/mariadb/mariadb-%{version}/bintar-linux-%{urlarch}/mariadb-%{version}-linux-%{arch}.tar.gz
fi

tar xvfpz %{name}-%{version}-linux-%{arch}.tar.gz >& /dev/null
mv %{name}-%{version}-linux-%{arch}/* ./
rm -rf %{name}-%{version}-linux-%{arch}/

%ifarch x86_64
%patch0 -p1
%patch2 -p1
%else
%patch1 -p1
%patch3 -p1
%endif

%{__mkdir} sbin
%{__mv} bin/mysqld sbin/

%build
%{__chown} -R root:root *
gcc $CFLAGS $LDFLAGS -o scriptstub "-DLIBDIR=\"%{_libdir}/mysql\"" %{SOURCE5}

# regular build will make libmysqld.a but not libmysqld.so :-(
#mkdir work
#cd work
#ar -x ../lib/libmysqld.a
#gcc $CFLAGS $LDFLAGS -shared -Wl,-soname,libmysqld.so.0 -o libmysqld.so.0.0.1 \
#	*.o \
#	-lpthread -lcrypt -lnsl -lssl -lcrypto -lz -lrt -lstdc++ -lm -lc

%install
%{__rm} -rf %{buildroot}

find . -name "*.ini" -exec rm -f {} \;

%{__mkdir_p} %{buildroot}%{_sysconfdir}/{sysconfig,mysql,logrotate.d}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sbindir}/init.d
%{__mkdir_p} %{buildroot}%{datadir}/default/{mysql,test}
%{__mkdir_p} %{buildroot}%{_includedir}/mysql
%{__mkdir_p} %{buildroot}%{_libdir}/mysql
%{__mkdir_p} %{buildroot}%{_datadir}/{aclocal,mysql}
%{__mkdir_p} %{buildroot}%{_mandir}/{man1,man8}
%{__mkdir_p} %{buildroot}%{_localstatedir}/log/mysql
%{__mkdir_p} %{buildroot}%{_libexecdir}

%{__chmod} 750 %{buildroot}%{_sysconfdir}/mysql
%{__install} -m 600 %{SOURCE2} %{buildroot}%{_sysconfdir}/mysql/my.cnf


%{__install} -m 755 %{SOURCE3} %{buildroot}%{_sbindir}/init.d/mysqld
%{__install} -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/sysconfig/mysqld
%{__install} -m 644 %{SOURCE12} %{buildroot}%{_sysconfdir}/logrotate.d/mysqld

%{__install} -m 755 sbin/mysqld %{buildroot}%{_libexecdir}/
%{__install} -m 755 bin/* %{buildroot}%{_bindir}/


%{__install} -d -m 755 %{buildroot}%{_includedir}/mysql/mysql
%{__install} -m 644 include/mysql/*plugin*.h %{buildroot}%{_includedir}/mysql/mysql/
%{__install} -m 644 include/mysql/*service*.h %{buildroot}%{_includedir}/mysql/mysql/
%{__install} -m 644 include/mysql/private/innodb_priv.h %{buildroot}%{_includedir}/mysql/mysql/
%{__install} -m 644 include/mysql/private/thread_pool_priv.h %{buildroot}%{_includedir}/mysql/mysql/
%{__install} -m 644 include/mysql/*.h %{buildroot}%{_includedir}/mysql/
%{__install} -d -m 755 %{buildroot}%{_includedir}/mysql/mysql/psi
%{__install} -m 644 include/mysql/psi/*.h %{buildroot}%{_includedir}/mysql/mysql/psi/
%{__install} -d -m 755 %{buildroot}%{_includedir}/mysql/mysql/private
%{__install} -m 644 include/mysql/private/*.h %{buildroot}%{_includedir}/mysql/mysql/private/

if [ -d "lib/galera" ]; then
	%{__cp} -af lib/galera/ %{buildroot}%{_libdir}/mysql/galera/
	%{__chmod} 755 %{buildroot}%{_libdir}/mysql/galera/*.so*
fi
%{__cp} -af lib/*.so* %{buildroot}%{_libdir}/mysql/
%{__chmod} 755 %{buildroot}%{_libdir}/mysql/*.so*
%{__rm} -f %{buildroot}%{_libdir}/mysql/libmysqlclient_r.so.*
%{__ln_s} -f libmysqlclient.so.18.0.0 %{buildroot}%{_libdir}/mysql/libmysqlclient_r.so.18
%{__ln_s} -f libmysqlclient.so.18.0.0 %{buildroot}%{_libdir}/mysql/libmysqlclient_r.so.18.0.0

%{__install} -m 644 lib/*.a %{buildroot}%{_libdir}/mysql/
%{__install} -d -m 755 %{buildroot}%{_libdir}/mysql/plugin/
%{__install} -m 644 lib/plugin/*.so %{buildroot}%{_libdir}/mysql/plugin/

%{__cp} -af mysql-test/ %{buildroot}%{_datadir}/mysql-test/
%{__install} -m 644 share/aclocal/mysql.m4 %{buildroot}%{_datadir}/aclocal/
%{__cp} -af share/* %{buildroot}%{_datadir}/mysql/
%{__rm} -rf %{buildroot}%{_datadir}/mysql/aclocal/
%{__install} -m 644 man/man1/*.1* %{buildroot}%{_mandir}/man1/
%{__install} -m 644 man/man8/*.8* %{buildroot}%{_mandir}/man8/
%{__cp} -af sql-bench/ %{buildroot}%{_datadir}/sql-bench/

%{__install} -m 755 scripts/mysql_install_db %{buildroot}%{_bindir}/

#{__install} -m 644 %{SOURCE1} %{buildroot}%{_includedir}/mysql/my_config.h
#{__install} -m 755 work/*.so* %{buildroot}%{_libdir}/mysql/
#{__ln_s} libmysqld.so.0.0.1 %{buildroot}%{_libdir}/mysql/libmysqld.so.0
#{__ln_s} libmysqld.so.0 %{buildroot}%{_libdir}/mysql/libmysqld.so

find . -name "*.ini" -exec rm -f {} \;
%{__rm} -f %{buildroot}%{_bindir}/comp_err
%{__rm} -f %{buildroot}%{_mandir}/man1/comp_err.1*
%{__rm} -f %{buildroot}%{_mandir}/man1/mysql-stress-test.pl.1*
%{__rm} -f %{buildroot}%{_mandir}/man1/mysql-test-run.pl.1*

%{__rm} -f support-files/binary-configure
%{__rm} -f support-files/mysql.server
%{__rm} -f support-files/mysqld_multi.server
%{__install} -m 644 support-files/*.cnf %{buildroot}%{_datadir}/mysql/

%{__rm} -rf %{buildroot}%{_libdir}/mysql/plugin/debug


%{__mkdir_p} %{buildroot}/etc/ld.so.conf.d
echo "%{_libdir}/mysql" > %{buildroot}/etc/ld.so.conf.d/%{name}-%{arch}.conf

mv %{buildroot}%{_bindir}/mysqlbug %{buildroot}%{_libdir}/mysql/mysqlbug
%{__install} -m 0755 scriptstub %{buildroot}%{_bindir}/mysqlbug
mv ${RPM_BUILD_ROOT}%{_bindir}/mysql_config ${RPM_BUILD_ROOT}%{_libdir}/mysql/mysql_config
%{__install} -m 0755 scriptstub ${RPM_BUILD_ROOT}%{_bindir}/mysql_config

%if %{dist_compat}
cd %{buildroot}%{_libdir}/mysql
%ifarch x86_64
tar xvfpj %{SOURCE200}
#tar xvfpj %{SOURCE202}
%else
tar xvfpj %{SOURCE201}
#tar xvfpj %{SOURCE203}
%endif
cd -
%endif

%{__install} -m 0644 %{SOURCE7} %{buildroot}%{_datadir}/mysql/mysql-init-function
%{__install} -m 0644 %{SOURCE7} %{buildroot}%{_datadir}/mysql/mysql-client-init-function
%{__install} -m 0755 %{SOURCE8} %{buildroot}%{_sbindir}/mysqld.sandbox
%{__install} -m 0755 %{SOURCE9} %{buildroot}%{_bindir}/mysbox

%{__mkdir_p} %{buildroot}%{_sysconfdir}/profile.d
%{__install} -m 0644 %{SOURCE10} %{buildroot}%{_sysconfdir}/profile.d/mysql.sh
%{__install} -m 0644 %{SOURCE11} %{buildroot}%{_sysconfdir}/profile.d/mysql.csh

# tuning script
%{__install} -m 755 %{SOURCE101} %{buildroot}%{_bindir}/mysql-tuning-primer
(
	cd %{buildroot}%{_bindir}/
	patch -p0 < ${RPM_SOURCE_DIR}/tuning-primer-join-buffer.patch
	patch -p0 < ${RPM_SOURCE_DIR}/tuning-primer-mariadb.patch
	patch -p0 < ${RPM_SOURCE_DIR}/tuning-primer-5.7-10.1-support.patch
	cd -
)
%{__install} -m 755 %{SOURCE102} %{buildroot}%{_bindir}/mysql-tuner
(
	cd %{buildroot}%{_bindir}/
	patch -p0 < ${RPM_SOURCE_DIR}/mysqltuner-mariadb.patch
	cd -
)
%{__install} -m 755 %{SOURCE103} %{buildroot}%{_bindir}/mysql-fragfinder
(
	cd %{buildroot}%{_bindir}/
	patch -p0 < ${RPM_SOURCE_DIR}/mysqlfragfinder-annyung.patch
	cd -
)
%{__install} -m 755 %{SOURCE104} %{buildroot}%{_bindir}/numa-maps-summary

%{__mkdir_p} %{buildroot}%{_sysconfdir}/tmpfiles.d
%{__install} -m 644 %{SOURCE105} %{buildroot}%{_sysconfdir}/tmpfiles.d/mysqld.conf

%{__mkdir_p} %{buildroot}%{_unitdir}
%{__install} -m 644 %{SOURCE106} %{buildroot}%{_unitdir}/mysqld.service

%__mkdir_p %{buildroot}%{_sysconfdir}/mysql/my.cnf.d
%{__install} -m 644 %{SOURCE13} %{buildroot}%{_sysconfdir}/mysql/my.cnf.d/server.cnf
%{__install} -m 600 %{SOURCE14} %{buildroot}%{_sysconfdir}/mysql/my.cnf.d/password.cnf

%{__mkdir_p} %{buildroot}/run/mysqld

cd %{buildroot}%{_datadir}/mysql/pkgconfig
%{__install} -Dp -m0644 mariadb.pc %{buildroot}%{_datadir}/pkgconfig/mariadb.pc
cd -
%{__rm} -rf %{buildroot}%{_datadir}/mysql/pkgconfig

%clean
%{__rm} -rf %{buildroot}

%pre server
/usr/sbin/groupadd -g 27 -o -r mysql > /dev/null 2>&1 || :
/usr/sbin/useradd -M -N -g mysql -o -r -G 2 -d /var/lib/mysql -s /sbin/nologin \
	-c "MySQL Server" -u 27 mysql >/dev/null 2>&1 || :

%post libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%post server
%systemd_post mysqld.service

%preun server
%systemd_preun mysqld.service

%postun server
%systemd_postun
if [ $1 -ge 1 ]; then
	echo "Notice: mysqld don't restart!."
	echo "        Please, you must restart by hand."
    #/sbin/service mysqld condrestart >/dev/null 2>&1 || :
fi

%postun embedded -p /sbin/ldconfig

%files
%defattr(-,root,root)
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/mysql/my.cnf.d/password.cnf
%{_bindir}/msql2mysql
%{_bindir}/mysql
%{_bindir}/mysql_config
%{_bindir}/mysql_find_rows
%{_bindir}/mysql_waitpid
%{_bindir}/mysqlaccess
%{_bindir}/mysqladmin
%{_bindir}/mysqlbinlog
%{_bindir}/mysqlcheck
%{_bindir}/mysqldump
%{_bindir}/mysqlimport
%{_bindir}/mysqlshow
%{_bindir}/mysqlslap
%{_bindir}/my_print_defaults

%{_bindir}/mysql-tuning-primer
%{_bindir}/mysql-tuner
%{_bindir}/mysql-fragfinder
%{_bindir}/numa-maps-summary

%{_bindir}/wsrep_sst_common
%{_bindir}/wsrep_sst_mysqldump
%{_bindir}/wsrep_sst_rsync
%{_bindir}/wsrep_sst_xtrabackup
%{_bindir}/wsrep_sst_xtrabackup-v2

%{_bindir}/mysbox
%{_datadir}/mysql/mysql-client-init-function

%{_sysconfdir}/profile.d/mysql.*

%{_mandir}/man1/mysql.1*
%{_mandir}/man1/mysql_config.1*
%{_mandir}/man1/mysql_find_rows.1*
%{_mandir}/man1/mysql_waitpid.1*
%{_mandir}/man1/mysqlaccess.1*
%{_mandir}/man1/mysqladmin.1*
%{_mandir}/man1/mysqldump.1*
%{_mandir}/man1/mysqlshow.1*
%{_mandir}/man1/mysqlslap.1*
%{_mandir}/man1/my_print_defaults.1*
%{_mandir}/man1/aria_ftdump.1*

%{_libdir}/mysql/mysqlbug
%{_libdir}/mysql/mysql_config

%files libs
%defattr(-,root,root)

# although the default my.cnf contains only server settings, we put it in the
# libs package because it can be used for client settings too.
%dir %{_sysconfdir}/mysql
%config(noreplace) %{_sysconfdir}/mysql/my.cnf
%dir %{_sysconfdir}/mysql/my.cnf.d

%dir %{_libdir}/mysql
%attr(0755,root,root) %{_libdir}/mysql/libmysqlclient*.so.*
/etc/ld.so.conf.d/*

%dir %{_datadir}/mysql
%{_datadir}/mysql/errmsg-utf8.txt
%{_datadir}/mysql/english
%lang(cs) %{_datadir}/mysql/czech
%lang(da) %{_datadir}/mysql/danish
%lang(nl) %{_datadir}/mysql/dutch
%lang(et) %{_datadir}/mysql/estonian
%lang(fr) %{_datadir}/mysql/french
%lang(de) %{_datadir}/mysql/german
%lang(el) %{_datadir}/mysql/greek
%lang(hu) %{_datadir}/mysql/hungarian
%lang(it) %{_datadir}/mysql/italian
%lang(ja) %{_datadir}/mysql/japanese
%lang(ko) %{_datadir}/mysql/korean
%lang(no) %{_datadir}/mysql/norwegian
%lang(no) %{_datadir}/mysql/norwegian-ny
%lang(pl) %{_datadir}/mysql/polish
%lang(pt) %{_datadir}/mysql/portuguese
%lang(ro) %{_datadir}/mysql/romanian
%lang(ru) %{_datadir}/mysql/russian
%lang(sr) %{_datadir}/mysql/serbian
%lang(sk) %{_datadir}/mysql/slovak
%lang(es) %{_datadir}/mysql/spanish
%lang(sv) %{_datadir}/mysql/swedish
%lang(uk) %{_datadir}/mysql/ukrainian
%{_datadir}/mysql/charsets

%files server
%defattr(-,root,root)
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/mysql/my.cnf.d/server.cnf
%config(noreplace) %{_sysconfdir}/tmpfiles.d/mysqld.conf
%{_bindir}/aria*
%{_bindir}/myisamchk
%{_bindir}/myisam_ftdump
%{_bindir}/myisamlog
%{_bindir}/myisampack
%{_bindir}/mysql_convert_table_format
%{_bindir}/mysql_fix_extensions
%{_bindir}/mysql_install_db
%{_bindir}/mysql_plugin
%{_bindir}/mysql_secure_installation
%{_bindir}/mysql_setpermission
%{_bindir}/mysql_tzinfo_to_sql
%{_bindir}/mysql_upgrade
%{_bindir}/mysql_zap
%{_bindir}/mysqlbug
%{_bindir}/mysqldumpslow
%{_bindir}/mysqld_multi
%{_bindir}/mysqld_safe
%{_bindir}/mysqlhotcopy
%{_bindir}/mysqltest
%{_bindir}/mytop
%{_bindir}/innochecksum
%{_bindir}/perror
%{_bindir}/replace
%{_bindir}/resolve_stack_dump
%{_bindir}/resolveip
%{_bindir}/mysqld_safe_helper
%{_sbindir}/mysqld.sandbox

/usr/libexec/mysqld

%{_libdir}/mysql/plugin

%{_mandir}/man1/msql2mysql.1*
%{_mandir}/man1/myisamchk.1*
%{_mandir}/man1/myisamlog.1*
%{_mandir}/man1/myisampack.1*
%{_mandir}/man1/mysql_convert_table_format.1*
%{_mandir}/man1/myisam_ftdump.1*
%{_mandir}/man1/mysql.server.1*
%{_mandir}/man1/mysql_fix_extensions.1*
%{_mandir}/man1/mysql_install_db.1*
%{_mandir}/man1/mysql_plugin.1*
%{_mandir}/man1/mysql_secure_installation.1*
%{_mandir}/man1/mysql_upgrade.1*
%{_mandir}/man1/mysql_zap.1*
%{_mandir}/man1/mysqlbug.1*
%{_mandir}/man1/mysqldumpslow.1*
%{_mandir}/man1/mysqlbinlog.1*
%{_mandir}/man1/mysqlcheck.1*
%{_mandir}/man1/mysqld_multi.1*
%{_mandir}/man1/mysqld_safe.1*
%{_mandir}/man1/mysqlhotcopy.1*
%{_mandir}/man1/mysqlimport.1*
%{_mandir}/man1/mysql_setpermission.1*
%{_mandir}/man1/mysqltest.1*
%{_mandir}/man1/innochecksum.1*
%{_mandir}/man1/perror.1*
%{_mandir}/man1/replace.1*
%{_mandir}/man1/resolve_stack_dump.1*
%{_mandir}/man1/resolveip.1*
%{_mandir}/man1/mysql_tzinfo_to_sql.1*
%{_mandir}/man1/aria_chk.1*
%{_mandir}/man1/aria_dump_log.1*
%{_mandir}/man1/aria_pack.1*
%{_mandir}/man1/aria_read_log.1*
%{_mandir}/man8/mysqld.8*

%{_datadir}/mysql/my-*.cnf
%{_datadir}/mysql/wsrep.cnf
%{_datadir}/mysql/mysql-init-function

%{_datadir}/mysql/fill_help_tables.sql
%{_datadir}/mysql/mysql_performance_tables.sql
%{_datadir}/mysql/mysql_system_tables.sql
%{_datadir}/mysql/mysql_system_tables_data.sql
%{_datadir}/mysql/mysql_test_data_timezone.sql
%{_datadir}/mysql/mysql_to_mariadb.sql
%{_datadir}/mysql/install_spider.sql
%{_datadir}/mysql/mroonga/install.sql
%{_datadir}/mysql/mroonga/uninstall.sql
%{_datadir}/mysql/maria_add_gis_sp.sql
%{_datadir}/mysql/maria_add_gis_sp_bootstrap.sql

%{_sbindir}/init.d/mysqld
%{_unitdir}/mysqld.service

%config(noreplace) %{_sysconfdir}/sysconfig/mysqld
%config(noreplace) %{_sysconfdir}/logrotate.d/mysqld
%attr(0750,mysql,mysql) %dir /var/lib/mysql
%attr(0750,mysql,root) %dir /var/log/mysql
%attr(0775,root,mysql) %dir /run/mysqld

%files garbd
%defattr(-,root,root)
%{_bindir}/garbd
%{_libdir}/mysql/libgalera_smm.so
%attr(0755,root,root) %{_libdir}/mysql/galera/libgalera_smm.so

%files devel
%defattr(-,root,root)
/usr/include/mysql
/usr/share/aclocal/mysql.m4
%{_libdir}/mysql/libmysqlclient*.so
%{_libdir}/mysql/*.a
%exclude %{_libdir}/mysql/libmysqld.a
%{_datadir}/pkgconfig/mariadb.pc

%files embedded
%defattr(-,root,root)
%{_libdir}/mysql/libmysqld.so.*

%files embedded-devel
%defattr(-,root,root)
%{_libdir}/mysql/libmysqld.a
%{_libdir}/mysql/libmysqld.so
%{_bindir}/mysql_embedded
%{_bindir}/mysql_client_test_embedded
%{_bindir}/mysqltest_embedded
%{_mandir}/man1/mysql_client_test_embedded.1*
%{_mandir}/man1/mysqltest_embedded.1*

%files bench
%defattr(-,root,root)
%{_datadir}/sql-bench

%files test
%defattr(-,root,root)
%{_bindir}/mysql_client_test
%attr(-,mysql,mysql) %{_datadir}/mysql-test

%{_mandir}/man1/mysql_client_test.1*

%changelog
* Sun Jan 22 2017 JoungKyun.Kim <hostmaster@oops.org> 100:10.1.21-1%{?dist}
- update 10.1.21
  see also https://mariadb.com/kb/en/mariadb/mariadb-10121-changelog/
- security issues
  https://mariadb.com/kb/en/mariadb/security/
  . CVE-2017-3318
  . CVE-2017-3317
  . CVE-2017-3312
  . CVE-2017-3291
  . CVE-2017-3265
  . CVE-2017-3258
  . CVE-2017-3257
  . CVE-2017-3244
  . CVE-2017-3243
  . CVE-2017-3238

* Sat Dec 10 2016 JoungKyun.Kim <hostmaster@oops.org> 100:10.1.19-1%{?dist}
- update 10.1.19
  see also https://mariadb.com/kb/en/mariadb/mariadb-10119-changelog/
- security issues
  . CVE-2016-3492
  . CVE-2016-5612
  . CVE-2016-5616
  . CVE-2016-5624
  . CVE-2016-5626
  . CVE-2016-5629
  . CVE-2016-6662
  . CVE-2016-6663
  . CVE-2016-8283

* Tue Sep  6 2016 JoungKyun.Kim <hostmaster@oops.org> 100:10.1.17-1%{?dist}
- update 10.1.17
  see also https://mariadb.com/kb/en/mariadb/mariadb-10117-changelog/
- update compat library 5.5.50-1.el7_2
- security issues
  . CVE-2016-0640
  . CVE-2016-0641
  . CVE-2016-0643
  . CVE-2016-0644
  . CVE-2016-0646
  . CVE-2016-0647
  . CVE-2016-0648
  . CVE-2016-0649
  . CVE-2016-0650
  . CVE-2016-0666
  . CVE-2016-3452
  . CVE-2016-3477
  . CVE-2016-3521
  . CVE-2016-3615
  . CVE-2016-5440
  . CVE-2016-5444

* Tue Aug  9 2016 JoungKyun.Kim <hostmaster@oops.org> 100:10.1.16-1%{?dist}
- fixed mysql-tuning-premire can't check innodb on MySQL 5.7 and MariaDB 10.0 and after

* Sun Aug  7 2016 JoungKyun.Kim <hostmaster@oops.org> 100:10.1.16-1%{?dist}
- update 10.1.16
  see also https://mariadb.com/kb/en/mariadb/mariadb-10116-changelog/
- fixed only access unix socket file

* Tue Dec 15 2015 JoungKyun.Kim <hostmaster@oops.org> 100:10.1.9-1%{?dist}
- update 10.1.9
- update compat library 5.5.44-2
- add mariadb-garbd package

* Tue Nov 17 2015 JoungKyun.Kim <hostmaster@oops.org> 100:10.1.8-1%{?dist}
- update 10.1.8

* Tue Nov 17 2015 JoungKyun.Kim <hostmaster@oops.org> 100:10.0.22-1%{?dist}
- update 10.0.22
  see also https://mariadb.com/kb/en/mariadb/mariadb-10022-changelog/
- security issues
  see also https://mariadb.com/kb/en/mariadb/security/
  . CVE-2015-4913
  . CVE-2015-4870
  . CVE-2015-4861
  . CVE-2015-4858
  . CVE-2015-4836
  . CVE-2015-4830
  . CVE-2015-4826
  . CVE-2015-4815
  . CVE-2015-4807
  . CVE-2015-4802
  . CVE-2015-4792

* Mon Aug 31 2015 JoungKyun.Kim <hostmaster@oops.org> 100:10.0.21-1%{?dist}
- update 10.0.21
- update compat library 5.5.44-1.el7_1
- security issues
  . CVE-2015-0433
  . CVE-2015-0441
  . CVE-2015-0499
  . CVE-2015-0501
  . CVE-2015-0505
  . CVE-2015-2568
  . CVE-2015-2571
  . CVE-2015-2573
  . CVE-2015-2582
  . CVE-2015-2620
  . CVE-2015-2643
  . CVE-2015-2648
  . CVE-2015-3152
  . CVE-2015-4737
  . CVE-2015-4752
  . CVE-2015-4757

* Tue Jan 13 2015 JoungKyun.Kim <hostmaster@oops.org> 100:10.0.15-1%{?dist}
- rebuilt on AnNyung 3
- remove embeded tcmalloc

